Page MenuHomePhabricator

Finish actor migration in refinery sqoop and refinery source
Closed, ResolvedPublic13 Story Points

Description

When T223406 is done, actors will be accessible only from the actor foreign keys and old table_user fields will be dropped. We need to adapt sqoop.py and refinery-source to use the actor fields exclusively (right now there's a coalesce going on).

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 22 2019, 4:27 PM

Change 511914 had a related patch set uploaded (by Milimetric; owner: Milimetric):
[analytics/refinery@master] Handle dropping of user fields in labs views

https://gerrit.wikimedia.org/r/511914

Change 511914 merged by Joal:
[analytics/refinery@master] Handle dropping of user fields in labs views

https://gerrit.wikimedia.org/r/511914

Change 511930 had a related patch set uploaded (by Milimetric; owner: Milimetric):
[analytics/refinery@master] [WIP] Handle dropping of user fields in labs views

https://gerrit.wikimedia.org/r/511930

Change 511931 had a related patch set uploaded (by Milimetric; owner: Milimetric):
[analytics/refinery/source@master] [WIP] Handle dropping of user fields in labs views

https://gerrit.wikimedia.org/r/511931

fdans triaged this task as High priority.Jun 3 2019, 3:55 PM
fdans moved this task from Incoming to Smart Tools for Better Data on the Analytics board.

Change 511931 merged by jenkins-bot:
[analytics/refinery/source@master] Handle dropping of user fields in labs views

https://gerrit.wikimedia.org/r/511931

Change 511930 merged by Joal:
[analytics/refinery@master] Handle dropping of user fields in labs views

https://gerrit.wikimedia.org/r/511930

Nuria closed this task as Resolved.Jul 1 2019, 10:52 PM
Nuria moved this task from Ready to Deploy to Done on the Analytics-Kanban board.
Nuria set the point value for this task to 13.